Форум русскоязычного сообщества Ubuntu


Автор Тема: wi-fi адаптер не работает  (Прочитано 818 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн hideTaro

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
wi-fi адаптер не работает
« : 16 Август 2016, 17:07:23 »
ребятки помогите, прошу. купила на своего динозавра адаптер d-link DWA-131.чего только уже не пробовала. тема которая естть уже совсем не помогла :( :( :( помогите блондике разобраться ;D версия ubuntu 14.04

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 11169
    • Просмотр профиля
Re: wi-fi адаптер не работает
« Ответ #1 : 16 Август 2016, 18:58:29 »
hideTaro,
Дайте вывод

lsusb
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн hideTaro

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
Re: wi-fi адаптер не работает
« Ответ #2 : 16 Август 2016, 20:31:56 »
Bus 001 Device 004: ID 2001:3319 D-Link Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 003: ID 1a2c:2124 China Resource Semico Co., Ltd
Bus 002 Device 002: ID 093a:2510 Pixart Imaging, Inc. Optical Mouse
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 
это?

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 11169
    • Просмотр профиля
Re: wi-fi адаптер не работает
« Ответ #3 : 16 Август 2016, 20:48:44 »
hideTaro,
Оно. Сейчас посмотрю.
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 11169
    • Просмотр профиля
Re: wi-fi адаптер не работает
« Ответ #4 : 16 Август 2016, 20:51:08 »
Можете по проводу временно к интернету подключиться? Если да, то драйвер ставится так

sudo add-apt-repository ppa:hanipouspilot/rtlwifi
sudo apt-get update
sudo apt-get install rtl8192eu-dkms

Команды надо вводить по очереди. После установки перезагрузитесь и вставьте адаптер. Должно работать.

Если у вас новое ядро 4.4, то надо будет драйвер с патчем ставить для 4.4. Версию ядра можно посмотреть по uname -a.
« Последнее редактирование: 16 Август 2016, 20:56:23 от Pilot6 »
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн hideTaro

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
Re: wi-fi адаптер не работает
« Ответ #5 : 16 Август 2016, 21:22:44 »
оно вот это выдало
Error! Bad return status for module build on kernel: 3.16.0-70-generic (x86_64)
Consult /var/lib/dkms/rtl8192eu/4.3.1.1.11320.20140505~trusty1/build/make.log for more information.

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 11169
    • Просмотр профиля
Re: wi-fi адаптер не работает
« Ответ #6 : 16 Август 2016, 21:38:28 »
hideTaro,
Понятно. Я уже забыл что и для какого ядра я выкладывал. Я уже на 16.04.

Должно это работать практически точно. Если вдруг не будет, то ядро обновим.

wget https://launchpad.net/~hanipouspilot/+archive/ubuntu/rtlwifi/+files/rtl8192eu-dkms_4.3.8.12406.20140929~xenial2_all.deb
sudo dpkg -i rtl8192eu*.deb
« Последнее редактирование: 16 Август 2016, 21:40:41 от Pilot6 »
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн hideTaro

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
Re: wi-fi адаптер не работает
« Ответ #7 : 17 Август 2016, 14:19:39 »
(Чтение базы данных … на данный момент установлено 337111 файлов и каталогов.)
Preparing to unpack rtl8192eu-dkms_4.3.8.12406.20140929~xenial2_all.deb ...

------------------------------
Deleting module version: 4.3.8.12406.20140929~xenial2
completely from the DKMS tree.
------------------------------
Done.
Unpacking rtl8192eu-dkms (4.3.8.12406.20140929~xenial2) over (4.3.8.12406.20140929~xenial2) ...
Настраивается пакет rtl8192eu-dkms (4.3.8.12406.20140929~xenial2) …
Loading new rtl8192eu-4.3.8.12406.20140929~xenial2 DKMS files...
First Installation: checking all kernels...
Building only for 3.16.0-70-generic
Building for architecture x86_64
Building initial module for 3.16.0-70-generic
ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/rtl8192eu-dkms.0.crash'
Error! Bad return status for module build on kernel: 3.16.0-70-generic (x86_64)
Consult /var/lib/dkms/rtl8192eu/4.3.8.12406.20140929~xenial2/build/make.log for more information.

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 11169
    • Просмотр профиля
Re: wi-fi адаптер не работает
« Ответ #8 : 17 Август 2016, 15:15:18 »
hideTaro,
Все ясно. У вас слишком старое ядро. Надо или оригинальный драйвер для этого ядра без патчей ставить, или ядро обновить. Второе гораздо проще и лучше.

Сделайте тогда так

sudo apt-get install linux-generic-lts-xenial

Перезагрузитесь. Вайфай должен сразу заработать, так как драйвер уже стоит, и он автоматом пересоберется под новое ядро без ошибок.

 
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн hideTaro

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
Re: wi-fi адаптер не работает
« Ответ #9 : 17 Август 2016, 15:40:01 »
Pilot6, dpkg: error processing package linux-image-generic-lts-xenial (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет linux-generic-lts-xenial:
 linux-generic-lts-xenial зависит от linux-image-Отчёты apport не записаны, так как сообщение об ошибке указывает на повторную ошибку от предыдущего отказа.
                                                                            Отчёты apport не записаны, так как сообщение об ошибке указывает на повторную ошибку от предыдущего отказа.
                       generic-lts-xenial (= 4.4.0.36.26), однако:
  Пакет linux-image-generic-lts-xenial пока не настроен.

dpkg: error processing package linux-generic-lts-xenial (--configure):
 проблемы зависимостей — оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
 linux-image-extra-4.4.0-36-generic
 linux-image-generic-lts-xenial
 linux-generic-lts-xenial
E: Sub-process /usr/bin/dpkg returned an error code (1)

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 11169
    • Просмотр профиля
Re: wi-fi адаптер не работает
« Ответ #10 : 17 Август 2016, 15:55:25 »
hideTaro,
Видимо это вызвано предыдущей ошибкой. Давайте вернем все назад

sudo apt-get purge rtl8192eu-dkms
sudo apt-get update
sudo apt-get install linux-generic-lts-xenial

Перезагрузка.

sudo apt-get install rtl8192eu-dkms

Потом вставьте вайфай. Должен заработать.
« Последнее редактирование: 17 Август 2016, 15:58:34 от Pilot6 »
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн hideTaro

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
Re: wi-fi адаптер не работает
« Ответ #11 : 17 Август 2016, 18:33:18 »
Pilot6, спасибо огромное, все работает

 

Страница сгенерирована за 0.057 секунд. Запросов: 25.